'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (_ref) {
  var t = _ref.types;

  return {
    visitor: {
      ImportDeclaration: function ImportDeclaration(path, state) {
        var importPath = path.node.source.value;

        if (importPath.startsWith('javascript')) {
          var parts = importPath.split('/');
          parts[0] = 'self';
          var prefix = parts.join('.');

          transformSpecifiers(path, prefix);
          path.remove();
        }
      }
    }
  };
};

function transformSpecifiers(path, prefix) {
  path.get('specifiers').forEach(function (specifier) {
    var node = specifier.node;
    var localName = node.local.name;
    var importName = node.imported ? node.imported.name : localName;
    var isImportDefault = specifier.isImportDefaultSpecifier();
    var module = isImportDefault ? prefix : prefix + '.' + importName;

    path.scope.rename(localName, module);
  });
}